CALIBREDB(1)

NAME
calibredb - calibredb

            calibredb orde [opcións] [argumentos]

calibredb é a interface de liña de ordes para a base de datos de calibre. Ten varios subcomandos, documentados a continuación.

:command:calibredb` pódese usar para manipular tanto unha base de datos de calibre especificada por ruta como un :guilabel:Servidor de contido` de calibre en execución, xa sexa na máquina local ou a través de internet. Podes iniciar un Servidor de contido de calibre usando o programa calibre-server ou, no programa principal de calibre, facendo clic en Conectar/compartir  → Iniciar o servidor de contido. Dado que calibredb pode facer cambios nas túas bibliotecas de calibre, debes configurar primeiro a autenticación no servidor. Hai dúas formas de facelo:

    •   Se planeas conectarte só a un servidor que se executa no mesmo computador,

podes usar simplemente a opción --enable-local-write do Servidor de contido para permitir que calquera programa, incluído calibredb, que se execute no computador local faga cambios nos teus datos de calibre. Ao executar o servidor desde o programa principal de calibre, esta opción atópase en guilabel:Preferencias->Compartir pola rede->Avanzado. Non obstante, ten coidado,
        porque algúns navegadores, principalmente Firefox, permiten que sitios web arbitrarios tamén accedan a servidores locais. Se usas Firefox, é mellor configurar un nome de usuario e contrasinal, como se describe a continuación. A restrición de acceso á rede local aínda non foi implementada ata Firefox v149.

    •   Se queres habilitar o acceso a través de internet, debes configurar
        contas de usuario no servidor e usar as opcións --username e --password

    en calibredb para darlle acceso. Podes configurar a autenticación de usuarios para calibre-server empregando a opción --enable-auth
        e usando --manage-users para crear as contas de usuario. Se estás executando o servidor desde o programa principal de calibre, usa Preferencias → Compartir pola rede → Requirir nome de usuario/contrasinal.

    Para conectarte a un Servidor de contido en execución, pasa o URL do servidor á opción
        --with-library; consulta a documentación desa opción para máis detalles e exemplos.

    •   OPCIÓNS GLOBAIS

    •   list

    •   add

        •   ENGADIR DENDE CARTAFOLES

    •   remove

    •   add_format

    •   remove_format

    •   show_metadata

    •   set_metadata

    •   export

    •   catalog

        •   EPUB OPCIÓNS

    •   saved_searches

    •   add_custom_column

    •   custom_columns

    •   remove_custom_column

    •   set_custom

    •   restore_database

    •   check_library

    •   list_categories

    •   backup_metadata

    •   clone

    •   embed_metadata

    •   search

    •   fts_index

    •   fts_search

OPCIÓNS GLOBAIS

    --help, -h
        mostrar esta mensaxe de axuda e saír

    --library-path, --with-library
        Ruta á biblioteca de Calibre. Por defecto, úsase a ruta almacenada na configuración. Tamén podes conectarte a un servidor de contido de Calibre para realizar accións en bibliotecas remotas. Para facelo, usa un URL do tipo: <http://hostname:port/#library_id>, por exemplo, <http://localhost:8080/#mylibrary>. library_id é o ID da biblioteca á que queres conectarte no servidor de contido. Podes usar o valor especial library_id de - para obter unha lista dos ID de biblioteca dispoñibles no servidor. Para obter detalles sobre como configurar o acceso a través dun servidor de contido, consulta <https://manual.calibre-ebook.com/generated/en/calibredb.html>.

    --password
        Contrasinal para conectarse a un servidor de contido calibre. Para ler o contrasinal desde a entrada estándar, use o valor especial: <stdin>. Para ler o contrasinal dun ficheiro, use: <f:/path/to/file> (é dicir, <f: seguido da ruta completa ao ficheiro e un final >). Os corchetes angulares anteriores son necesarios, recorda escapar deles ou usar comiñas para o teu shell.

    --timeout
        O tempo de espera, en segundos, ao conectarse a unha biblioteca de calibre a través da rede. O valor predeterminado é de dous minutos.

    --username
        Nome de usuario para conectarse a un servidor de contido calibre

    --version
        mostrar o número de versión do programa e saír

LIST

            calibredb list [opcións]

Lista dos libros dispoñíbeis na base de datos do Calibre.

Sempre que lle pases argumentos a calibredb que teñan espazos neles, pon os argumentos entre comiñas. Por exemplo: «/some path/with spaces»

    --ascending
        Ordenar resultados en orde ascendente

    --fields, -f
        Os campos que se mostrarán cando se listan libros na base de datos. Debe ser unha lista de campos separados por comas. Campos dispoñibles: author_sort, authors, comments, cover, formats, identifiers, isbn, languages, last_modified, pubdate, publisher, rating, series, series_index, size, tags, template, timestamp, title, uuid Predeterminado: %predeterminado. O campo especial «todos» pódese usar para seleccionar todos os campos. Ademais dos campos integrados anteriores, os campos personalizados tamén están dispoñibles como *field_name, por exemplo, para un campo personalizado #rating, use o nome: *rating

    --for-machine
        Xera saída en formato JSON, que é máis axeitado para a análise de máquinas. Fai que se ignoren as opcións de ancho de liña e separador.

    --limit
        O número máximo de resultados para mostrar. Por defecto: todos

    --line-width, -w
        A lonxitude máxima das liñas na saída. De modo predeterminado tómase a largura da pantalla.

    --prefix
        O prefixo para todas as rutas de ficheiros. Por omisión é a ruta absoluta do cartafol da biblioteca.

    --search, -s
        Filtrar os resultados pola consulta de busca. Para o formato da consulta de busca, véxase a documentación relacionada no Manual de Usuario. O predeterminado e non filtrar.

    --separator
        O texto usado para separar campos. Por omisión é un espazo.

    --sort-by
        O campo polo que ordenar os resultados. Podes especificar varios campos separándoos con comas. Campos dispoñibles: author_sort, authors, comments, cover, formats, identifiers, isbn, languages, last_modified, pubdate, publisher, rating, series, series_index, size, tags, template, timestamp, title, uuid Por defecto: id. Ademais dos campos incorporados anteriores, tamén están dispoñibles campos personalizados como nome_campo; por exemplo, para un campo personalizado #rating, usa o nome: rating

    --template
        O modelo a executar se «template» está na lista de campos. Teña en conta que os modelos ignóranse ao conectarse a un servidor calibre. Predeterminado: Ningún

    --template_file, -t
        Ruta a un ficheiro que contén o modelo para executar se «template» está na lista de campos. Predeterminado: Ningún

    --template_heading
        Encabezamento para a columna do modelo. Predeterminado: template. Esta opción é ignorada se a opción --for-machine está definida

ADD

            calibredb engade [opcións] ficheiro1 ficheiro2 ficheiro3 ...

Engadir os ficheiros especificados como libros na base de datos. Tamén pode especificar cartafoles, vexa as opcións relacionadas con cartafoles a seguir.

Sempre que lle pases argumentos a calibredb que teñan espazos neles, pon os argumentos entre comiñas. Por exemplo: «/some path/with spaces»

    --authors, -a
        Establece os autores do(s) libro(s) engadido(s)

    --automerge, -m
        Se se atopan libros con títulos e autores similares, combine os formatos (arquivos) entrantes automaticamente nos rexistros de libros existentes. Un valor de «ignorar» significa que se descartan os formatos duplicados. Un valor de «sobrescribir» significa que os formatos duplicados na biblioteca se sobrescriben cos ficheiros recén engadidos. Un valor de «new_record» significa que os formatos duplicados colócanse nun novo rexistro de libro.

    --cover, -c
        Camiño ata a portada para usar para o libro engadido

    --duplicates, -d
        Engade libros á base de datos aínda que xa existan. A comparación realízase en función dos títulos dos libros e dos autores. Teña en conta que a opción --automerge ten prioridade.

    --empty, -e
        Engadir libro en branco (sen formato)

    --identifier, -I
        Establece os identificadores deste libro, p. ex. -I asin:XXX -I isbn:YYY

    --isbn, -i
        Establece o ISBN do(s) libro(s) engadido(s)

    --languages, -l
        Unha lista de idiomas separados por comas (o mellor é usar códigos de idioma ISO639, aínda que tamén se poden recoñecer algúns nomes de idiomas)

    --series, -s
        Establece a serie do(s) libro(s) engadido(s)

    --series-index, -S
        Establece o número de serie do(s) libro(s) engadido(s)

    --tags, -T
        Establece as etiquetas do(s) libro(s) engadido(s)

    --title, -t
        Establece o título do(s) libro(s) engadido(s)

  ENGADIR DENDE CARTAFOLES

Opcións para controlar a adición de libros desde cartafoles. De forma predeterminada, só se engaden ficheiros que teñen extensións de tipos de ficheiros de libros electrónicos coñecidos.

    --add
        Un patrón de nome de ficheiro (glob), os ficheiros que coincidan con este patrón engadiranse ao buscar ficheiros nos cartafoles, aínda que non sexan dun tipo de ficheiro de libro electrónico coñecido. Pódese especificar varias veces para varios patróns.

    --ignore
        Un paTrón de nome de ficheiro (glob), os ficheiros que coincidan con este patrón ignoraranse ao buscar ficheiros nos cartafoles. Pódese especificar varias veces para varios patróns. Por exemplo: *.pdf ignorará todos os ficheiros PDF

    --one-book-per-directory, -1
        Supoña que cada cartafol só ten un único libro lóxico e que todos os ficheiros nel son diferentes formatos de libros electrónicos dese libro

    --recurse, -r
        Procesar cartafoles de forma recursiva

REMOVE

            calibredb eliminar ids

Elimina os libros identificados por ID da base de datos. os ids deben ser unha lista separada por comas de números de identificación (podes obter números de identificación usando o comando de busca). Por exemplo, 23,34,57-85 (ao especificar un intervalo, non se inclúe o último número do intervalo).

Sempre que lle pases argumentos a calibredb que teñan espazos neles, pon os argumentos entre comiñas. Por exemplo: «/some path/with spaces»

    --permanent
        Non use o Papeleira de reciclaxe

ADD_FORMAT

            calibredb add_format [opcións] id ebook_file

Engade o libro electrónico en ebook_file aos formatos dispoñibles para o libro lóxico identificado por id. Podes obter a identificación usando o comando de busca. Se o formato xa existe, substitúese, a non ser que se especifique a opción non substituír.

Sempre que lle pases argumentos a calibredb que teñan espazos neles, pon os argumentos entre comiñas. Por exemplo: «/some path/with spaces»

    --as-extra-data-file
        Engade o ficheiro como ficheiro de datos extra ao libro, non como formato de libro electrónico

    --dont-replace
        Non substitúa o formato se xa existe

REMOVE_FORMAT

            calibredb remove_format [opcións] id fmt

Elimina o formato fmt do libro lóxico identificado por id. Podes obter a identificación usando o comando de busca. fmt debería ser unha extensión de ficheiro como LRF ou TXT ou EPUB. Se o libro lóxico non ten fmt dispoñible, non faga nada.

Sempre que lle pases argumentos a calibredb que teñan espazos neles, pon os argumentos entre comiñas. Por exemplo: «/some path/with spaces»

SHOW_METADATA

            calibredb show_metadata [opcións] id

Mostra os metadatos almacenados na base de datos calibre para o libro identificado por id. id é un número de identificación do comando de busca.

Sempre que lle pases argumentos a calibredb que teñan espazos neles, pon os argumentos entre comiñas. Por exemplo: «/some path/with spaces»

    --as-opf
        Imprimir os metadatos en formato OPF (XML)

SET_METADATA

            calibredb set_metadata [opcións] book_id [/path/to/metadata.opf]

Establece os metadatos almacenados na base de datos calibre para o libro identificado por book_id do ficheiro OPF metadata.opf. book_id é un número de identificación do libro de comando de busca. Podes ter unha idea rápida do formato OPF usando o --as-opf cambia ao comando show_metadata. Tamén pode configurar os metadatos de campos individuais coa opción --field. Se usa a opción --field, alí non é necesario especificar un ficheiro OPF.

Sempre que lle pases argumentos a calibredb que teñan espazos neles, pon os argumentos entre comiñas. Por exemplo: «/some path/with spaces»

    --field, -f
        O campo a configurar. O formato é nome_campo:valor, por exemplo: --field tags:tag1,tag2. Use --list-fields para obter unha lista de todos os nomes de campo. Podes especificar esta opción varias veces para establecer varios campos. Nota: para os idiomas debes utilizar os códigos de idioma ISO639 (por exemplo, en para inglés, fr para francés, etc.). Para os identificadores, a sintaxe é --field identifiers:isbn:XXXX,doi:YYYYY. Para os campos booleanos (si/non) use verdadeiro e falso ou si e non.

    --list-fields, -l
        Lista os nomes dos campos de metadatos que se poden usar coa opción --campo

EXPORT

            calibredb export [opcións] ids

Exporta os libros especificados por ids (unha lista separada por comas) ao sistema de ficheiros. A operación de exportación garda todos os formatos do libro, a súa portada e os metadatos (en un ficheiro OPF). Tamén se gardan os ficheiros de datos adicionais asociados co libro. Podes obter números de identificación do comando de busca.

Sempre que lle pases argumentos a calibredb que teñan espazos neles, pon os argumentos entre comiñas. Por exemplo: «/some path/with spaces»

    --all
        Exportar todos os libros da base de datos, facendo caso omiso da lista de identificacións.

    --dont-asciiize
        Fai que calibre converta todos os caracteres non ingleses en equivalentes en inglés para os nomes dos ficheiros. Isto é útil se se garda nun sistema de ficheiros herdado sen compatibilidade total con nomes de ficheiros Unicode. Se se especifica esta opción desactivase este comportamento.

    --dont-save-cover
        Normalmente, calibre gardará a portada nun ficheiro separado xunto cos ficheiros reais do libro electrónico. Se se especifica esta opción desactivase este comportamento.

    --dont-save-extra-files
        Garda os ficheiros de datos asociados co libro ao gardar o libro Se se especifica esta opción desactivase este comportamento.

    --dont-update-metadata
        Normalmente Calibre actualizará os metadatos dos ficheiros gardados segundo os datos da biblioteca de Calibre. Fai que o gardado en disco sexa máis lento. Se se especifica esta opción desactivase este comportamento.

    --dont-write-opf
        Normalmente Calibre escribirá os metadatos nun fichero OPF separado, xunto cos ficheiros de libro electrónico. Se se especifica esta opción desactivase este comportamento.

    --formats
        Lista de formatos, separados por comas, para gardar cada libro. Por omisión gárdanse todos os formatos dispoñíbeis.

    --progress
        Informar do progreso

    --replace-whitespace
        Substituír os espazos por suliñados.

    --single-dir
        Exportar todos os libros a un cartafol único

    --template
        O modelo para controlar o nome do ficheiro e a estrutura do cartafol dos ficheiros gardados. O predeterminado é «{author_sort}/{title}/{title} - {authors}» que gardará os libros nun subcartafol por autor con nomes de ficheiro que conteñan título e autor. Os controis dispoñibles son: {author_sort, authors, id, isbn, languages, last_modified, pages, pubdate, publisher, rating, series, series_index, tags, timestamp, title}

    --timefmt
        O formato no que se mostran as datas. %d - día, %b - mes, %m - número do mes, %Y - ano. O valor predeterminado é: %b, %Y

    --to-dir
        Exportar os libros ao cartafol especificado. O valor predeterminado é .

    --to-lowercase
        Converter as traxectorias a minúsculas.

CATALOG

            %pcatálogo rog /ruta/a/destino.(csv|epub|mobi|xml...) [opcións]

Exportar un catálogo no formato especificado pola extensión ruta/a/destino. As opcións controlan como se mostran as entradas na saída do catálogo xerado. Teña en conta que os distintos formatos de catálogo admiten diferentes conxuntos de opcións. Para ver as diferentes opcións, especifique o nome do ficheiro de saída e despois o --help opción.

Sempre que lle pases argumentos a calibredb que teñan espazos neles, pon os argumentos entre comiñas. Por exemplo: «/some path/with spaces»

    --ids, -i
        Lista de identificadores da base de datos, separadas por vírgulas, para o catálogo. Cando se declare, ignorarase --search. Valor predeterminado: todas

    --search, -s
        Filtrar los resultados segundo a busca. Para o formato da busca, vexa a documentación relativa a buscas no Manual de usuario. Valor predeterminado: sen filtrado

    --verbose, -v
        Mostrar información de saída detallada. Útil para a depuración

  EPUB OPCIÓNS

    --catalog-title
        Título do catálogo xerado usado como título nos metadatos. Valor predeterminado: '%defecto' Aplícase a: formatos de saída AZW3, EPUB, MOBI

    --cross-reference-authors
        Crea referencias cruzadas na sección Autores para libros con varios autores. Valor predeterminado: '%defecto' Aplícase a: formatos de saída AZW3, EPUB, MOBI

    --debug-pipeline
        Garda a saída das diferentes etapas da canalización de conversión no cartafol especificado. Útil se non está seguro en que fase do proceso de conversión se está a producir un erro. Valor predeterminado: '%defecto' Aplícase a: formatos de saída AZW3, EPUB, MOBI

    --exclude-genre
        Regex que describe etiquetas para excluír como xéneros. Valor predeterminado: «[.+]|^+$» exclúe as etiquetas entre corchetes, por exemplo. «[Proxecto Gutenberg]» e «+», a etiqueta predeterminada para os libros de lectura. Aplícase a: formatos de saída AZW3, EPUB, MOBI

    --exclusion-rules
        Especifica as regras utilizadas para excluír libros do catálogo xerado. O modelo para unha regra de exclusión é calquera ('<rule name>','Tags','<lista de etiquetas separadas por comas>') ou ('<rule name>','<columna pernonalizada>','<patrón>'). Por exemplo: (('Libros arquivados','#status','Arquivado'),) excluirá un libro cun valor de «Arquivado» na columna personalizada «status» (estado). Cando se definen varias regras, aplicaranse todas. Predeterminado: «(('Catalogs','Tags','Catalog'),)» Aplícase a: formatos de saída AZW3, EPUB, MOBI

    --generate-authors
        Incluír a sección «Autores» no catálogo. Valor predeterminado: '%defecto' Aplícase a: formatos de saída AZW3, EPUB, MOBI

    --generate-descriptions
        Incluír a sección «Descricións» no catálogo. Valor predeterminado: '%defecto' Aplícase a: formatos de saída AZW3, EPUB, MOBI

    --generate-genres
        Incluír a sección «Xéneros» no catálogo. Valor predeterminado: '%defecto' Aplícase a: formatos de saída AZW3, EPUB, MOBI

    --generate-recently-added
        Incluír a sección «Engadidos recentemente» no catálogo. Valor predeterminado: '%defecto' Aplícase a: formatos de saída AZW3, EPUB, MOBI

    --generate-series
        Incluír a sección «Serie» no catálogo. Valor predeterminado: '%defecto' Aplícase a: formatos de saída AZW3, EPUB, MOBI

    --generate-titles
        Incluír a sección «Títulos» no catálogo. Valor predeterminado: '%defecto' Aplícase a: formatos de saída AZW3, EPUB, MOBI

    --genre-source-field
        Campo de orixe para a sección «Xéneros». Valor predeterminado: '%defecto' Aplícase a: formatos de saída AZW3, EPUB, MOBI

    --header-note-source-field
        Campo personalizado que contén texto da nota para inserir na cabeceira descrición. Valor predeterminado: '%defecto' Aplícase a: formatos de saída AZW3, EPUB, MOBI

    --merge-comments-rule
        #<custom field>:[antes|despois]:[Verdadeiro|Falso] especificando: <custom field>Campo personalizado que contén notas para combinar cos comentarios [antes|despois] Colocación de notas con respecto aos comentarios [Verdadero|Falso] - Insírese unha regra horizontal entre as notas e os comentarios Valor predeterminado: '%defecto' Aplícase a: formatos de saída AZW3, EPUB, MOBI

    --output-profile
        Especifica o perfil de saída. Nalgúns casos, é necesario un perfil de saída para optimizar o catálogo para o dispositivo. Por exemplo, 'kindle' ou 'kindle_dx' crea un índice estruturado con seccións e artigos. Valor predeterminado: '%defecto' Aplícase a: formatos de saída AZW3, EPUB, MOBI

    --prefix-rules
        Especifica as regras utilizadas para incluír prefixos que indican libros lidos, elementos da lista de desexos e outros prefixos especificados polo usuario. O modelo dunha regra de prefixo é ('<rule name>','<source field>','<pattern>','<prefix>'). Cando se definen varias regras, utilizarase a primeira regra de coincidencia. Predeterminado: «(('Read books','tags','+','✓'),('Wishlist item','tags','Wishlist','×'))» Aplícase a: formatos de saída AZW3, EPUB, MOBI

    --preset
        Use un predefinido con nome creado co creador de catálogos da GUI. Un valor predeterminado especifica todos os axustes para crear un catálogo. Valor predeterminado: '%defecto' Aplícase a: formatos de saída AZW3, EPUB, MOBI

    --thumb-width
        Indicación de tamaño (en polgadas) para as portadas de libros no catálogo. Rango: 1,0 - 2,0 Valor predeterminado: '%defecto' Aplícase a: formatos de saída AZW3, EPUB, MOBI

    --use-existing-cover
        Substitúe a portada existente ao xerar o catálogo. Valor predeterminado: '%defecto' Aplícase a: formatos de saída AZW3, EPUB, MOBI

SAVED_SEARCHES

            calibredb saved_searches [opcións] (lista|engadir|eliminar)

Xestiona as buscas gardadas almacenadas nesta base de datos. Se tentas engadir unha consulta cun nome que xa existe, será substituído.

Sintaxe para engadir:

calibredb saved_searches engade search_name search_expression

Sintaxe para eliminar:

calibredb save_searches eliminar search_name

Sempre que lle pases argumentos a calibredb que teñan espazos neles, pon os argumentos entre comiñas. Por exemplo: «/some path/with spaces»

ADD_CUSTOM_COLUMN

            calibredb add_custom_column [opcións] etiqueta nome tipo-de-dato

Crea un campo personalizado. A «etiqueta» é o nome amigábel da columna. Non debería conter espazos nin vírgulas. O «nome» é o nome do campo que se amosará. O «tipo-de-dato» pode ser un dos seguintes: bool, comments, composite, datetime, enumeration, float, int, rating, series, text

Sempre que lle pases argumentos a calibredb que teñan espazos neles, pon os argumentos entre comiñas. Por exemplo: «/some path/with spaces»

    --display
        Un dicionario de opcións para personalizar como se interpretarán os datos desta columna. Esta é unha cadea JSON. Para as columnas de enumeración, use --display"{\ "enum_values\ ":[\ "val1\ ", \ "val2\ "]}" Hai moitas opcións que poden entrar na variable de visualización. As opcións por tipo de columna son: composto: composite_template, composite_sort, make_category,contains_html, use_decorations datetime: data_format enumeración: valores_enum, cores_enum, use_decorations int, float: formato_número texto: is_names, use_decorations A mellor forma de atopar combinacións legais é crear unha columna personalizada do tipo apropiado na GUI e despois mirar o OPF de copia de seguridade dun libro (asegúrese de que se creou un novo OPF desde que se engadiu a columna). Verá o JSON para a «visualización» da nova columna no OPF.

    --is-multiple
        Esta columna almacena datos de etiquetas (valores separados por comas). Só se aplica se el tipo de dato é texto.

CUSTOM_COLUMNS

            calibredb custom_columns [opcións]

Lista de columnas personalizadas dispoñibles. Mostra as etiquetas e os ID das columnas.

Sempre que lle pases argumentos a calibredb que teñan espazos neles, pon os argumentos entre comiñas. Por exemplo: «/some path/with spaces»

    --details, -d
        Mostrar detalles das columnas.

REMOVE_CUSTOM_COLUMN

            calibredb remove_custom_column [opcións] etiqueta

Elimina a columna personalizada identificada pola etiqueta. Podes ver dispoñibles columnas co comando custom_columns.

Sempre que lle pases argumentos a calibredb que teñan espazos neles, pon os argumentos entre comiñas. Por exemplo: «/some path/with spaces»

    --force, -f
        Non pedir confirmación

SET_CUSTOM

            calibredb set_custom [opcións] valor de id de columna

Establece o valor dunha columna personalizada para o libro identificado por id. Podes obter unha lista de IDs usando o comando de busca. Podes obter unha lista de nomes de columnas personalizadas usando custom_columns mando.

Sempre que lle pases argumentos a calibredb que teñan espazos neles, pon os argumentos entre comiñas. Por exemplo: «/some path/with spaces»

    --append, -a
        Se a columna almacena valores múltiplos, engadir os valores especificados aos existentes no canto de substituílos.

RESTORE_DATABASE

            calibredb restore_database [opcións]

Restaura esta base de datos a partir dos metadatos almacenados nos ficheiros OPF de cada un carpeta da biblioteca calibre. Isto é útil se o teu ficheiro metadata.db foi corrompido.

AVISO: Este comando rexenera completamente a súa base de datos. Vai perder todas as buscas gardadas, categorías de usuarios, plugboards, conversión almacenada por libro configuracións e receitas personalizadas. Os metadatos restaurados só serán tan precisos como o que se atopa nos ficheiros OPF.

Sempre que lle pases argumentos a calibredb que teñan espazos neles, pon os argumentos entre comiñas. Por exemplo: «/some path/with spaces»

    --really-do-it, -r
        Facer a recuperación. Esta orde no se executará a menos que se especifique esta opción.

CHECK_LIBRARY

            calibredb check_library [opcións]

Realiza algunhas comprobacións no sistema de ficheiros que contén a biblioteca. O resultado é invalid_titles, extra_titles, invalid_authors, extra_authors, missing_formats, extra_formats, extra_files, missing_covers, extra_covers, malformed_formats, malformed_paths, failed_folders

Sempre que lle pases argumentos a calibredb que teñan espazos neles, pon os argumentos entre comiñas. Por exemplo: «/some path/with spaces»

    --csv, -c
        Saída en CSV

    --ignore_extensions, -e
        Lista de extensións para ignorar separadas por vírgulas. Valor predeterminado: todas

    --ignore_names, -n
        Lista de nomes para ignorar separados por vírgulas. Valor predeterminado: todas

    --report, -r
        Lista de resultados separados por comas Valor predeterminado: all

    --vacuum-fts-db
        Aspirar a base de datos de busca de texto completo. Isto pode ser moi lento e consumir memoria, dependendo do tamaño da base de datos.

LIST_CATEGORIES

            calibredb list_categories [opcións]

Elaborar un informe da información da categoría na base de datos. O a información é o equivalente ao que se mostra no navegador de etiquetas.

Sempre que lle pases argumentos a calibredb que teñan espazos neles, pon os argumentos entre comiñas. Por exemplo: «/some path/with spaces»

    --categories, -r
        Lista separada por comas dos nomes das categorías a consultar. Valor predeterminado: todos

    --csv, -c
        Saída en CSV

    --dialect
        O tipo de ficheiro CSV que se vai producir. Opcións: excel, excel-tab, unix

    --item_count, -i
        Xerar na saída só o número de elementos nunha categoría en vez de cantas veces aparece por elemento na categoría

    --width, -w
        A lonxitude máxima das liñas na saída. De modo predeterminado tómase a largura da pantalla.

BACKUP_METADATA

            calibredb backup_metadata [opcións]

Fai unha copia de seguranza dos metadatos almacenados na base de datos en ficheiros OPF individuais de cada un dos cartafoles de libros. Isto normalmente ocorre automaticamente, pero pode executalo comando para forzar a rexeneración dos ficheiros OPF, coa --opción todos.

Teña en conta que normalmente non é necesario facelo, xa que se fai unha copia de seguranza dos ficheiros OPF automaticamente, cada vez que se cambian os metadatos.

Sempre que lle pases argumentos a calibredb que teñan espazos neles, pon os argumentos entre comiñas. Por exemplo: «/some path/with spaces»

    --all
        Normalmente, este comando só funciona en libros que teñen ficheiros OPF desactualizados. Esta opción fai que funcione en todos os libros.

CLONE

            calibredb clone ruta/a/novo/biblioteca

Crea un clon da biblioteca actual. Isto crea unha nova biblioteca baleira que ten todos os elementos mesmas columnas personalizadas, bibliotecas virtuais e outras opcións que a biblioteca actual.

A biblioteca clonada non conterá ningún libro. Se queres crear un duplicado completo, incluído todos os libros, entón simplemente use as ferramentas do sistema de ficheiros para copiar o cartafol da biblioteca.

Sempre que lle pases argumentos a calibredb que teñan espazos neles, pon os argumentos entre comiñas. Por exemplo: «/some path/with spaces»

EMBED_METADATA

            calibredb embed_metadata [opcións] book_id

Actualiza os metadatos dos ficheiros de libros reais almacenados na biblioteca calibre desde os metadatos na base de datos calibre. Normalmente, os metadatos só se actualizan cando exportando ficheiros desde calibre, este comando é útil se queres que o fagan ser actualizado no seu lugar. Teña en conta que os diferentes formatos de ficheiro admiten cantidades diferentes de metadatos. Podes usar o valor especial «all» para book_id para actualizar os metadatos en todos os libros. Tamén podes especificar moitos ID de libros separados por espazos e intervalos de ID separados por guións. Por exemplo: rog embed_metadata 1 2 10-15 23

Sempre que lle pases argumentos a calibredb que teñan espazos neles, pon os argumentos entre comiñas. Por exemplo: «/some path/with spaces»

    --only-formats, -f
        Actualiza só os metadatos en ficheiros do formato especificado. Especifícao varias veces para varios formatos. Por defecto, todos os formatos actualízanse.

SEARCH

            calibredb search [opcións] expresión de busca

Busca na biblioteca o termo de busca especificado, devolvendo unha coma separada lista de ID de libros que coinciden coa expresión de busca. O formato de saída é útil para alimentar outros comandos que aceptan unha lista de IDs como entrada.

A expresión de busca pode ser calquera cousa desde a poderosa consulta de busca de calibre idioma, por exemplo: calibredb search author:asimov 'title:"i robot"'

Sempre que lle pases argumentos a calibredb que teñan espazos neles, pon os argumentos entre comiñas. Por exemplo: «/some path/with spaces»

    --limit, -l
        O número máximo de resultados a devolver. O predeterminado son todos os resultados.

FTS_INDEX

            calibredb fts_index [opcións] enable/disable/status/reindex

Controle o proceso de indexación da busca de texto completo.

enable Activa a indexación FTS para esta biblioteca disable Desactiva a indexación FTS para esta biblioteca status Mostra o estado actual da indexación reindex Pódese usar para reindexar libros ou toda a biblioteca. Para reindexar determinados libros especifique os ID do libro como argumentos adicionais despois do comando reindex. Se non se especifican ID de libro o toda a biblioteca está reindexada.

Sempre que lle pases argumentos a calibredb que teñan espazos neles, pon os argumentos entre comiñas. Por exemplo: «/some path/with spaces»

    --indexing-speed
        Velocidade de indexación. Utilízao rápido para indexar rápido usando todos os recursos do teu ordenador e lento para indexar menos recursos. Teña en conta que a velocidade restablece a baixa despois de cada invocación.

    --wait-for-completion
        Agarda ata que todos os libros estean indexados, mostrando o progreso da indexación periodicamente

FTS_SEARCH

            calibredb fts_search [opcións] expresión de busca

Fai unha busca de texto completo en toda a biblioteca ou nun subconxunto dela.

Sempre que lle pases argumentos a calibredb que teñan espazos neles, pon os argumentos entre comiñas. Por exemplo: «/some path/with spaces»

    --do-not-match-on-related-words
        Coincide só con palabras exactas non relacionadas. Polo tanto, a corrección non coincidirá coa corrección.

    --include-snippets
        Inclúe fragmentos do texto que rodea cada coincidencia. Teña en conta que isto fai que a busca sexa moito máis lenta.

    --indexing-threshold
        Canto da biblioteca debe estar indexada antes de permitir a busca, como porcentaxe. O valor predeterminado é 90

    --match-end-marker
        O marcador usado para indicar o final dunha palabra coincidente dentro dun fragmento

    --match-start-marker
        O marcador usado para indicar o inicio dunha palabra coincidente dentro dun fragmento

    --output-format
        O formato no que se mostrarán os resultados da busca. Ou «texto» para o texto simple ou «json» para a saída JSON.

    --restrict-to
        Restrinxa os libros buscados, xa sexa mediante unha expresión de busca ou identificadores. Por exemplo: ids:1,2,3 para restrinxir mediante ids ou search:tag:foo para restrinxir a libros que teñan a etiqueta foo.

Author
Kovid Goyal

Copyright
Kovid Goyal